Mailrelay API Reference

Add a new unsubscribe event

POST https://{account}/api/v1/unsubscribe_events

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Use this method to create an unsubscribe event. The unsubscribe event is always created for a specific sent email id.

If the sent email is associated with a subscriber, the subscriber will also be set as unsubscribed.

Parameters

NameTypeRequiredDescription
sent_email_id integer Yes Sent email
ip string No IP
reason string No Reason
description string No Description

Responses

StatusDescription
201 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
sent_email_id integer Sent email
source string Source
ip string IP
email string Email
reason string Reason
description string Description
created_at string Created at